import { TORUS_NETWORK_TYPE } from '@web3auth/single-factor-auth';
import { EIP1193Provider } from 'viem';
import { EVMBlockchainIncludingTestnet } from '@crossmint/common-sdk-base';

type Web3AuthSignerParams = {
    type: "WEB3_AUTH";
    clientId: string;
    verifierId: string;
    web3AuthNetwork: TORUS_NETWORK_TYPE;
    jwt: string;
    chain: EVMBlockchainIncludingTestnet;
};
declare function getWeb3AuthSigner({ chain, clientId, web3AuthNetwork, jwt, verifierId, }: Web3AuthSignerParams): Promise<EIP1193Provider>;

export { type Web3AuthSignerParams, getWeb3AuthSigner };
